Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045902
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] POSminorhave not tried2021-02-16 11:322021-02-28 18:24
ReporterjmelinView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045902: Customer screen - label out of the box if too long

DescriptionThe label is out the box if the value is too long (see image)
Steps To ReproduceFor the customer "name" field, set a translation "Numéro de carte (complet)" and refresh the POS
TagsNo tags attached.
Attached Filespng file icon 1344_label_out_the_box.PNG [^] (21,697 bytes) 2021-02-16 11:32

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126369)
dbaz (developer)
2021-02-25 18:03
edited on: 2021-02-25 18:04

Two things needed:

1) The label should be truncated with an ellipsis

Please refer the input with label "Long Last Name That Will Be Truncated And 3 Dots (Ellipsis) Will Appear At The End" of this web to know how it should behave:
https://material.angularjs.org/1.1.0/demo/input [^]

2) The best to UX practice is to make the labels as short as possible, so, if we have "Numéro de carte (complet)" it should be just "Numéro de carte" or even "Num. de carte".

If we know the length of these "Numéro de carte (complet)", there could be an assistive or helper text below the input ( http://shorturl.at/kpqCY [^] ) saying how many characters are expected.

(0126378)
hgbot (developer)
2021-02-26 17:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/337 [^]
(0126385)
hgbot (developer)
2021-02-28 18:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/337 [^]
(0126386)
guilleaer (manager)
2021-02-28 18:24

Fixed by hernan-dp. Reviewed by GAL

https://issues.openbravo.com/view_user_page.php?id=27982 [^]

- Issue History
Date Modified Username Field Change
2021-02-16 11:32 jmelin New Issue
2021-02-16 11:32 jmelin Assigned To => Retail
2021-02-16 11:32 jmelin File Added: 1344_label_out_the_box.PNG
2021-02-16 11:32 jmelin Triggers an Emergency Pack => No
2021-02-25 16:40 guilleaer Type design defect => defect
2021-02-25 18:03 dbaz Note Added: 0126369
2021-02-25 18:04 dbaz Note Edited: 0126369 View Revisions
2021-02-26 17:34 hgbot Note Added: 0126378
2021-02-28 18:22 hgbot Note Added: 0126385
2021-02-28 18:23 guilleaer Status new => scheduled
2021-02-28 18:23 guilleaer Assigned To Retail => guilleaer
2021-02-28 18:24 guilleaer Note Added: 0126386
2021-02-28 18:24 guilleaer Status scheduled => resolved
2021-02-28 18:24 guilleaer Resolution open => fixed
2021-02-28 18:24 guilleaer Review Assigned To => guilleaer
2021-02-28 18:24 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker